Subject: Re: [GLIBC Patch v2] inet: avoid redefinition of some structs in kernel

From: Andreas Jaeger <[email-masked]>
Date: Fri, 16 Aug 2013 17:32:43 +0200

On 08/15/2013 11:28 AM, Cong Wang wrote:
> From: Carlos O'Donell <[email-masked]>
> 
> - Synchronize linux's `include/uapi/linux/in6.h' 
>   with glibc's `inet/netinet/in.h'.
> - Synchronize glibc's `inet/netinet/in.h with linux's
>   `include/uapi/linux/in6.h'.
> - Allow including the headers in either other.
> - First header included defines the structures and macros.

Let me first say that I really love where this is going and would love
to see more of this work.

Will this work with older kernels as well? Meaning: Can I compile
today's user land programs with a new glibc and Kernel 3.10? My reading
of the patch assumes it does but I would like to hear that you tested it.

The patch itself looks fine, thanks,
Andreas
-- 
 Andreas Jaeger aj@{suse.com,opensuse.org} Twitter/Identica: jaegerandi
  SUSE LINUX Products GmbH, Maxfeldstr. 5, 90409 Nürnberg, Germany
   GF: Jeff Hawn,Jennifer Guild,Felix Imendörffer,HRB16746 (AG Nürnberg)
    GPG fingerprint = 93A3 365E CE47 B889 DF7F  FED1 389A 563C C272 A126